Last Comment Bug 735668 - Assertion failure / debug crash when linking to a YouSendIt or Dropbox account
: Assertion failure / debug crash when linking to a YouSendIt or Dropbox account
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: 13 Branch
: x86 All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Mike Conley (:mconley) - (Needinfo me!)
:
Mentors:
: 735649 (view as bug list)
Depends on:
Blocks: BigFiles
  Show dependency treegraph
 
Reported: 2012-03-14 07:35 PDT by Mike Conley (:mconley) - (Needinfo me!)
Modified: 2015-10-03 03:28 PDT (History)
5 users (show)
vseerror: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
Patch v1 (2.09 KB, patch)
2012-03-14 14:11 PDT, Mike Conley (:mconley) - (Needinfo me!)
mozilla: review+
mozilla: approval‑comm‑aurora+
Details | Diff | Review
Tests (6.55 KB, patch)
2012-03-15 08:26 PDT, Mike Conley (:mconley) - (Needinfo me!)
mozilla: review+
Details | Diff | Review
Tests v2 (carrying over r+ from bienvenu) (6.57 KB, patch)
2012-03-19 12:20 PDT, Mike Conley (:mconley) - (Needinfo me!)
mozilla: approval‑comm‑aurora+
Details | Diff | Review

Description Mike Conley (:mconley) - (Needinfo me!) 2012-03-14 07:35:59 PDT
Steps to reproduce:

1)  In a clean profile, open up the Preferences dialog
2)  Switch to the Attachment pane, and choose to add a new online storage service account
3)  Choose "YouSendIt" from the dropdown, and enter a username.
4)  When the password dialog comes up, enter the YSI account password

What happens?

We fail the following assertion:

MOZ_Assert (s=0xb5f23db0 "!(clasp->flags & (1<<((8 + 8)+2)))"

And, at least in debug builds, crash.

What's expected?

The account should be added successfully, or an error message should be displayed if authorization fails.
Comment 1 Mike Conley (:mconley) - (Needinfo me!) 2012-03-14 07:36:53 PDT
Here's the stack trace:

#0  0xb7793424 in __kernel_vsyscall ()
#1  0xb75648b6 in nanosleep () from /lib/i386-linux-gnu/libc.so.6
#2  0xb75646af in sleep () from /lib/i386-linux-gnu/libc.so.6
#3  0xb37aab39 in ah_crap_handler (signum=6) at /media/Projects/mozilla/thunderbird/mozilla/toolkit/xre/nsSigHandlers.cpp:121
#4  0xb37b06e8 in nsProfileLock::FatalSignalHandler (signo=6, info=0xbfee1fec, context=0xbfee206c) at /media/Projects/mozilla/objdir-thunderbird-patches/mozilla/toolkit/profile/nsProfileLock.cpp:227
#5  <signal handler called>
#6  0xb7793424 in __kernel_vsyscall ()
#7  0xb7664dde in raise () from /lib/i386-linux-gnu/libpthread.so.0
#8  0x08060786 in MOZ_Crash () at /media/Projects/mozilla/thunderbird/mozilla/mfbt/Assertions.cpp:79
#9  0x080607e2 in MOZ_Assert (s=0xb5f23db0 "!(clasp->flags & (1<<((8 + 8)+2)))", file=0xb5f23d0c "/media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCInlines.h", ln=662)
    at /media/Projects/mozilla/thunderbird/mozilla/mfbt/Assertions.cpp:88
#10 0xb4709d96 in xpc_NewSystemInheritingJSObject (cx=0xa10b1b80, clasp=0xb721aa84, proto=0xacbb5260, uniqueType=false, parent=0xa7b0faf0)
    at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCInlines.h:662
#11 0xb470d65a in XPCWrappedNative::Init (this=0xa7f4ef00, ccx=..., parent=0xa7b0faf0, sci=0xbfee2534) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNative.cpp:1225
#12 0xb470ba30 in XPCWrappedNative::GetNewOrUsed (ccx=..., helper=..., Scope=0xa10d7c40, Interface=0xb04cdae0, resultWrapper=0xbfee2638)
    at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNative.cpp:695
#13 0xb46d80c5 in XPCConvert::NativeInterface2JSObject (lccx=..., d=0xbfee2a48, dest=0x0, aHelper=..., iid=0xbfee2c9c, Interface=0x0, allowNativeWrapper=true, pErr=0x0)
    at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCConvert.cpp:1011
#14 0xb46d622e in XPCConvert::NativeData2JS (lccx=..., d=0xbfee2a48, s=0xbfee2d78, type=..., iid=0xbfee2c9c, pErr=0x0) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCConvert.cpp:353
#15 0xb46d55cc in XPCConvert::NativeData2JS (ccx=..., d=0xbfee2a48, s=0xbfee2d78, type=..., iid=0xbfee2c9c, pErr=0x0) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/xpcprivate.h:3263
#16 0xb4705b1f in nsXPCWrappedJSClass::CallMethod (this=0xa1a59070, wrapper=0xa1a5bb00, methodIndex=4, info=0xb18a41e0, nativeParams=0xbfee2d70)
    at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedJSClass.cpp:1427
#17 0xb46fc831 in nsXPCWrappedJS::CallMethod (this=0xa1a5bb00, methodIndex=4, info=0xb18a41e0, params=0xbfee2d70) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedJS.cpp:617
#18 0xb536cd2d in PrepareAndDispatch (methodIndex=4, self=0xa263b030, args=0xbfee2e44) at /media/Projects/mozilla/thunderbird/mozilla/xpcom/reflect/xptcall/src/md/unix/xptcstubs_gcc_x86_unix.cpp:92
#19 0xb536c06c in NS_InvokeByIndex_P () from /media/Projects/mozilla/objdir-thunderbird-patches/mozilla/dist/bin/libxul.so
#20 0xb4712342 in CallMethodHelper::Invoke (this=0xbfee2f40) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNative.cpp:3021
#21 0xb471026d in CallMethodHelper::Call (this=0xbfee2f40) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNative.cpp:2352
#22 0xb471010f in XPCWrappedNative::CallMethod (ccx=..., mode=XPCWrappedNative::CALL_METHOD) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNative.cpp:2318
#23 0xb471c812 in XPC_WN_CallMethod (cx=0xa10b1b80, argc=3, vp=0xad4ff3c0) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNativeJSOps.cpp:1539
#24 0xb5912e84 in js::CallJSNative (cx=0xa10b1b80, native=0xb471c59d <XPC_WN_CallMethod(JSContext*, unsigned int, JS::Value*)>, args=...)
    at /media/Projects/mozilla/thunderbird/mozilla/js/src/jscntxtinlines.h:314
#25 0xb5918fae in js::InvokeKernel (cx=0xa10b1b80, args=..., construct=js::NO_CONSTRUCT) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:514
#26 0xb5924bd2 in js::Interpret (cx=0xa10b1b80, entryFrame=0xad4ff318, interpMode=js::JSINTERP_NORMAL) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:2710
#27 0xb5918c47 in js::RunScript (cx=0xa10b1b80, script=0xa7bbe8e0, fp=0xad4ff318) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:469
#28 0xb5919075 in js::InvokeKernel (cx=0xa10b1b80, args=..., construct=js::NO_CONSTRUCT) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:529
#29 0xb5878cf8 in js::Invoke (cx=0xa10b1b80, args=..., construct=js::NO_CONSTRUCT) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.h:172
#30 0xb58c94a6 in js::CallOrConstructBoundFunction (cx=0xa10b1b80, argc=1, vp=0xad4ff2d8) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsfun.cpp:1449
#31 0xb5912e84 in js::CallJSNative (cx=0xa10b1b80, native=0xb58c92c1 <js::CallOrConstructBoundFunction(JSContext*, unsigned int, JS::Value*)>, args=...)
    at /media/Projects/mozilla/thunderbird/mozilla/js/src/jscntxtinlines.h:314
#32 0xb5918fae in js::InvokeKernel (cx=0xa10b1b80, args=..., construct=js::NO_CONSTRUCT) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:514
#33 0xb5878cf8 in js::Invoke (cx=0xa10b1b80, args=..., construct=js::NO_CONSTRUCT) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.h:172
#34 0xb5919238 in js::Invoke (cx=0xa10b1b80, thisv=..., fval=..., argc=1, argv=0xbfee3ec4, rval=0xbfee3cc0) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:561
#35 0xb586e7a8 in JS_CallFunctionValue (cx=0xa10b1b80, obj=0xa7be4660, fval=..., argc=1, argv=0xbfee3ec4, rval=0xbfee3cc0) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsapi.cpp:5432
#36 0xb47060fe in nsXPCWrappedJSClass::CallMethod (this=0xa8ea6a90, wrapper=0xa7afcd80, methodIndex=3, info=0xb18f5af0, nativeParams=0xbfee3fe0)
    at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedJSClass.cpp:1518
#37 0xb46fc831 in nsXPCWrappedJS::CallMethod (this=0xa7afcd80, methodIndex=3, info=0xb18f5af0, params=0xbfee3fe0) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedJS.cpp:617
#38 0xb536cd2d in PrepareAndDispatch (methodIndex=3, self=0xa06bb230, args=0xbfee40b4) at /media/Projects/mozilla/thunderbird/mozilla/xpcom/reflect/xptcall/src/md/unix/xptcstubs_gcc_x86_unix.cpp:92
#39 0xb3fb4371 in nsDOMEventListenerWrapper::HandleEvent (this=0xa06bb260, aEvent=0xac82f060) at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsDOMEventTargetHelper.cpp:68
#40 0xb3f70880 in nsEventListenerManager::HandleEventSubType (this=0xa8ec33d0, aListenerStruct=0xa8ec3400, aListener=0xa06bb260, aDOMEvent=0xac82f060, aCurrentTarget=0xa24a9900, aPhaseFlags=6, 
    aPusher=0xbfee42ac) at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventListenerManager.cpp:741
#41 0xb3f70ac8 in nsEventListenerManager::HandleEventInternal (this=0xa8ec33d0, aPresContext=0x0, aEvent=0xa2562370, aDOMEvent=0xbfee429c, aCurrentTarget=0xa24a9900, aFlags=6, aEventStatus=0xbfee42a0, 
    aPusher=0xbfee42ac) at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventListenerManager.cpp:799
#42 0xb3f9c233 in nsEventListenerManager::HandleEvent (this=0xa8ec33d0, aPresContext=0x0, aEvent=0xa2562370, aDOMEvent=0xbfee429c, aCurrentTarget=0xa24a9900, aFlags=6, aEventStatus=0xbfee42a0, 
    aPusher=0xbfee42ac) at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventListenerManager.h:169
#43 0xb3f9c70f in nsEventTargetChainItem::HandleEvent (this=0xaadc85e0, aVisitor=..., aFlags=6, aMayHaveNewListenerManagers=false, aPusher=0xbfee42ac)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:215
#44 0xb3f9cbd3 in nsEventTargetChainItem::HandleEventTargetChain (this=0xaadc85e0, aVisitor=..., aFlags=6, aCallback=0x0, aMayHaveNewListenerManagers=false, aPusher=0xbfee42ac)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:347
#45 0xb3f9dd73 in nsEventDispatcher::Dispatch (aTarget=0xa24a9900, aPresContext=0x0, aEvent=0xa2562370, aDOMEvent=0xac82f060, aEventStatus=0x0, aCallback=0x0, aTargets=0x0)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:681
#46 0xb3f9e144 in nsEventDispatcher::DispatchDOMEvent (aTarget=0xa24a9900, aEvent=0x0, aDOMEvent=0xac82f060, aPresContext=0x0, aEventStatus=0x0)
---Type <return> to continue, or q <return> to quit---
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:744
#47 0xb3fb552d in nsDOMEventTargetHelper::DispatchDOMEvent (this=0xa24a9900, aEvent=0x0, aDOMEvent=0xac82f060, aPresContext=0x0, aEventStatus=0x0)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsDOMEventTargetHelper.cpp:299
#48 0xb3ec9887 in nsXHREventTarget::DispatchDOMEvent (this=0xa24a9900, aEvent=0x0, aDOMEvent=0xac82f060, aPresContext=0x0, aEventStatus=0x0)
    at /media/Projects/mozilla/thunderbird/mozilla/content/base/src/nsXMLHttpRequest.h:84
#49 0xb3eca3bb in nsXMLHttpRequest::DispatchDOMEvent (this=0xa24a9900, aEvent=0x0, aDOMEvent=0xac82f060, aPresContext=0x0, aEventStatus=0x0)
    at /media/Projects/mozilla/thunderbird/mozilla/content/base/src/nsXMLHttpRequest.h:165
#50 0xb3ed1b4b in nsXMLHttpRequest::DispatchProgressEvent (this=0xa24a9900, aTarget=0xa24a9900, aType=..., aUseLSEventWrapper=false, aLengthComputable=true, aLoaded=71, aTotal=71, aPosition=71, 
    aTotalSize=71) at /media/Projects/mozilla/thunderbird/mozilla/content/base/src/nsXMLHttpRequest.cpp:1578
#51 0xb3eca4bd in nsXMLHttpRequest::DispatchProgressEvent (this=0xa24a9900, aTarget=0xa24a9900, aType=..., aLengthComputable=true, aLoaded=71, aTotal=71)
    at /media/Projects/mozilla/thunderbird/mozilla/content/base/src/nsXMLHttpRequest.h:191
#52 0xb3ed571d in nsXMLHttpRequest::ChangeStateToDone (this=0xa24a9900) at /media/Projects/mozilla/thunderbird/mozilla/content/base/src/nsXMLHttpRequest.cpp:2356
#53 0xb3ed536e in nsXMLHttpRequest::OnStopRequest (this=0xa24a9900, request=0xa2697434, ctxt=0x0, status=0) at /media/Projects/mozilla/thunderbird/mozilla/content/base/src/nsXMLHttpRequest.cpp:2309
#54 0xb38f903e in nsHttpChannel::OnStopRequest (this=0xa2697400, request=0xa24fe6a0, ctxt=0x0, status=0) at /media/Projects/mozilla/thunderbird/mozilla/netwerk/protocol/http/nsHttpChannel.cpp:4377
#55 0xb37f0368 in nsInputStreamPump::OnStateStop (this=0xa24fe6a0) at /media/Projects/mozilla/thunderbird/mozilla/netwerk/base/src/nsInputStreamPump.cpp:583
#56 0xb37efba3 in nsInputStreamPump::OnInputStreamReady (this=0xa24fe6a0, stream=0xa7e89edc) at /media/Projects/mozilla/thunderbird/mozilla/netwerk/base/src/nsInputStreamPump.cpp:405
#57 0xb532596a in nsInputStreamReadyEvent::Run (this=0xa24fb800) at /media/Projects/mozilla/thunderbird/mozilla/xpcom/io/nsStreamUtils.cpp:114
#58 0xb53469e9 in nsThread::ProcessNextEvent (this=0xb181a400, mayWait=true, result=0xbfee497f) at /media/Projects/mozilla/thunderbird/mozilla/xpcom/threads/nsThread.cpp:657
#59 0xb52def08 in NS_ProcessNextEvent_P (thread=0xb181a400, mayWait=true) at /media/Projects/mozilla/objdir-thunderbird-patches/mozilla/xpcom/build/nsThreadUtils.cpp:245
#60 0xb48d80a2 in nsXULWindow::ShowModal (this=0xa044c480) at /media/Projects/mozilla/thunderbird/mozilla/xpfe/appshell/src/nsXULWindow.cpp:420
#61 0xb48d3f53 in nsContentTreeOwner::ShowAsModal (this=0xa10d7ac0) at /media/Projects/mozilla/thunderbird/mozilla/xpfe/appshell/src/nsContentTreeOwner.cpp:564
#62 0xb488c00a in nsWindowWatcher::OpenWindowJSInternal (this=0xb047fd90, aParent=0xa8e64540, aUrl=0xa8ee8478 "chrome://messenger/content/cloudfile/addAccountDialog.xul", aName=0x0, 
    aFeatures=0xbfee4f78 "chrome, dialog, modal, resizable=yes", aDialog=true, argv=0xac986e60, aCalledFromJS=true, _retval=0xbfee4f10)
    at /media/Projects/mozilla/thunderbird/mozilla/embedding/components/windowwatcher/src/nsWindowWatcher.cpp:1023
#63 0xb488968a in nsWindowWatcher::OpenWindowJS (this=0xb047fd90, aParent=0xa8e64540, aUrl=0xa8ee8478 "chrome://messenger/content/cloudfile/addAccountDialog.xul", aName=0x0, 
    aFeatures=0xbfee4f78 "chrome, dialog, modal, resizable=yes", aDialog=true, argv=0xac986e60, _retval=0xbfee4f10)
    at /media/Projects/mozilla/thunderbird/mozilla/embedding/components/windowwatcher/src/nsWindowWatcher.cpp:479
#64 0xb41de983 in nsGlobalWindow::OpenInternal (this=0xa8e64540, aUrl=..., aName=..., aOptions=..., aDialog=true, aContentModal=false, aCalledNoScript=false, aDoJSFixups=false, argv=0xac986e60, 
    aExtraArgument=0x0, aCalleePrincipal=0xb04b28c0, aJSCallerContext=0xa10af900, aReturn=0xbfee5418) at /media/Projects/mozilla/thunderbird/mozilla/dom/base/nsGlobalWindow.cpp:8917
#65 0xb41de288 in nsGlobalWindow::OpenInternal (this=0xa8e64c40, aUrl=..., aName=..., aOptions=..., aDialog=true, aContentModal=false, aCalledNoScript=false, aDoJSFixups=false, argv=0xac986e60, 
    aExtraArgument=0x0, aCalleePrincipal=0xb04b28c0, aJSCallerContext=0xa10af900, aReturn=0xbfee5418) at /media/Projects/mozilla/thunderbird/mozilla/dom/base/nsGlobalWindow.cpp:8813
#66 0xb41d2e4a in nsGlobalWindow::OpenDialog (this=0xa8e64c40, aUrl=..., aName=..., aOptions=..., _retval=0xbfee5418) at /media/Projects/mozilla/thunderbird/mozilla/dom/base/nsGlobalWindow.cpp:5974
#67 0xb536c06c in NS_InvokeByIndex_P () from /media/Projects/mozilla/objdir-thunderbird-patches/mozilla/dist/bin/libxul.so
#68 0xb4712342 in CallMethodHelper::Invoke (this=0xbfee53c0) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNative.cpp:3021
#69 0xb471026d in CallMethodHelper::Call (this=0xbfee53c0) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNative.cpp:2352
#70 0xb471010f in XPCWrappedNative::CallMethod (ccx=..., mode=XPCWrappedNative::CALL_METHOD) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNative.cpp:2318
#71 0xb471c812 in XPC_WN_CallMethod (cx=0xa10af900, argc=4, vp=0xad4ff288) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNativeJSOps.cpp:1539
#72 0xb5912e84 in js::CallJSNative (cx=0xa10af900, native=0xb471c59d <XPC_WN_CallMethod(JSContext*, unsigned int, JS::Value*)>, args=...)
    at /media/Projects/mozilla/thunderbird/mozilla/js/src/jscntxtinlines.h:314
#73 0xb5918fae in js::InvokeKernel (cx=0xa10af900, args=..., construct=js::NO_CONSTRUCT) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:514
#74 0xb5924bd2 in js::Interpret (cx=0xa10af900, entryFrame=0xad4ff138, interpMode=js::JSINTERP_NORMAL) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:2710
#75 0xb5918c47 in js::RunScript (cx=0xa10af900, script=0xa8a96e38, fp=0xad4ff138) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:469
#76 0xb5919075 in js::InvokeKernel (cx=0xa10af900, args=..., construct=js::NO_CONSTRUCT) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:529
#77 0xb5878cf8 in js::Invoke (cx=0xa10af900, args=..., construct=js::NO_CONSTRUCT) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.h:172
#78 0xb5919238 in js::Invoke (cx=0xa10af900, thisv=..., fval=..., argc=1, argv=0xbfee6204, rval=0xbfee6000) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:561
#79 0xb586e7a8 in JS_CallFunctionValue (cx=0xa10af900, obj=0xa7b6f280, fval=..., argc=1, argv=0xbfee6204, rval=0xbfee6000) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsapi.cpp:5432
#80 0xb47060fe in nsXPCWrappedJSClass::CallMethod (this=0xa84e42b0, wrapper=0xa7ebb7c0, methodIndex=5, info=0xb063b070, nativeParams=0xbfee6320)
    at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedJSClass.cpp:1518
#81 0xb46fc831 in nsXPCWrappedJS::CallMethod (this=0xa7ebb7c0, methodIndex=5, info=0xb063b070, params=0xbfee6320) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedJS.cpp:617
#82 0xb536cd2d in PrepareAndDispatch (methodIndex=5, self=0xa67e57d0, args=0xbfee63f4) at /media/Projects/mozilla/thunderbird/mozilla/xpcom/reflect/xptcall/src/md/unix/xptcstubs_gcc_x86_unix.cpp:92
#83 0xb536c06c in NS_InvokeByIndex_P () from /media/Projects/mozilla/objdir-thunderbird-patches/mozilla/dist/bin/libxul.so
#84 0xb4712342 in CallMethodHelper::Invoke (this=0xbfee64e0) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNative.cpp:3021
#85 0xb471026d in CallMethodHelper::Call (this=0xbfee64e0) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNative.cpp:2352
#86 0xb471010f in XPCWrappedNative::CallMethod (ccx=..., mode=XPCWrappedNative::CALL_METHOD) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNative.cpp:2318
#87 0xb471c812 in XPC_WN_CallMethod (cx=0xa10af900, argc=1, vp=0xad4ff108) at /media/Projects/mozilla/thunderbird/mozilla/js/xpconnect/src/XPCWrappedNativeJSOps.cpp:1539
#88 0xb5912e84 in js::CallJSNative (cx=0xa10af900, native=0xb471c59d <XPC_WN_CallMethod(JSContext*, unsigned int, JS::Value*)>, args=...)
    at /media/Projects/mozilla/thunderbird/mozilla/js/src/jscntxtinlines.h:314
#89 0xb5918fae in js::InvokeKernel (cx=0xa10af900, args=..., construct=js::NO_CONSTRUCT) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:514
#90 0xb5924bd2 in js::Interpret (cx=0xa10af900, entryFrame=0xad4ff068, interpMode=js::JSINTERP_NORMAL) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:2710
#91 0xb5918c47 in js::RunScript (cx=0xa10af900, script=0xa83ad4b8, fp=0xad4ff068) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:469
#92 0xb5919075 in js::InvokeKernel (cx=0xa10af900, args=..., construct=js::NO_CONSTRUCT) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:529
---Type <return> to continue, or q <return> to quit---
#93 0xb5878cf8 in js::Invoke (cx=0xa10af900, args=..., construct=js::NO_CONSTRUCT) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.h:172
#94 0xb5919238 in js::Invoke (cx=0xa10af900, thisv=..., fval=..., argc=1, argv=0xbfee70a0, rval=0xbfee7028) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsinterp.cpp:561
#95 0xb586e7a8 in JS_CallFunctionValue (cx=0xa10af900, obj=0xa8acb100, fval=..., argc=1, argv=0xbfee70a0, rval=0xbfee7028) at /media/Projects/mozilla/thunderbird/mozilla/js/src/jsapi.cpp:5432
#96 0xb41a34eb in nsJSContext::CallEventHandler (this=0xa047c040, aTarget=0xa7a5a1f0, aScope=0xa7b0f4c0, aHandler=0xa9866740, aargv=0xa24c1920, arv=0xbfee72a8)
    at /media/Projects/mozilla/thunderbird/mozilla/dom/base/nsJSEnvironment.cpp:1880
#97 0xb426aa79 in nsJSEventListener::HandleEvent (this=0xa7f42d00, aEvent=0xa10d79a0) at /media/Projects/mozilla/thunderbird/mozilla/dom/src/events/nsJSEventListener.cpp:239
#98 0xb3f70880 in nsEventListenerManager::HandleEventSubType (this=0xa7a5a240, aListenerStruct=0xa7a5a260, aListener=0xa7f42d00, aDOMEvent=0xa10d79a0, aCurrentTarget=0xa7a5a1f0, aPhaseFlags=6, 
    aPusher=0xbfee750c) at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventListenerManager.cpp:741
#99 0xb3f70ac8 in nsEventListenerManager::HandleEventInternal (this=0xa7a5a240, aPresContext=0xa046dc00, aEvent=0xac8bb280, aDOMEvent=0xbfee74fc, aCurrentTarget=0xa7a5a1f0, aFlags=6, 
    aEventStatus=0xbfee7500, aPusher=0xbfee750c) at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventListenerManager.cpp:799
#100 0xb3f9c233 in nsEventListenerManager::HandleEvent (this=0xa7a5a240, aPresContext=0xa046dc00, aEvent=0xac8bb280, aDOMEvent=0xbfee74fc, aCurrentTarget=0xa7a5a1f0, aFlags=6, aEventStatus=0xbfee7500, 
    aPusher=0xbfee750c) at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventListenerManager.h:169
#101 0xb3f9c70f in nsEventTargetChainItem::HandleEvent (this=0xaadc8280, aVisitor=..., aFlags=6, aMayHaveNewListenerManagers=false, aPusher=0xbfee750c)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:215
#102 0xb3f9cbd3 in nsEventTargetChainItem::HandleEventTargetChain (this=0xaadc8080, aVisitor=..., aFlags=6, aCallback=0x0, aMayHaveNewListenerManagers=false, aPusher=0xbfee750c)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:347
#103 0xb3f9dd73 in nsEventDispatcher::Dispatch (aTarget=0xa7a5a1f0, aPresContext=0xa046dc00, aEvent=0xac8bb280, aDOMEvent=0xa10d79a0, aEventStatus=0xbfee7644, aCallback=0x0, aTargets=0x0)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:681
#104 0xb3f9e144 in nsEventDispatcher::DispatchDOMEvent (aTarget=0xa7a5a1f0, aEvent=0x0, aDOMEvent=0xa10d79a0, aPresContext=0xa046dc00, aEventStatus=0xbfee7644)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:744
#105 0xb3e5d1fd in nsINode::DispatchEvent (this=0xa7a5a1f0, aEvent=0xa10d79a0, aRetVal=0xbfee771f) at /media/Projects/mozilla/thunderbird/mozilla/content/base/src/nsGenericElement.cpp:1175
#106 0xb3ddd119 in nsContentUtils::DispatchXULCommand (aTarget=0xa7a5a1f0, aTrusted=true, aSourceEvent=0xa10d7940, aShell=0x0, aCtrl=false, aAlt=false, aShift=false, aMeta=false)
    at /media/Projects/mozilla/thunderbird/mozilla/content/base/src/nsContentUtils.cpp:5795
#107 0xb452b6a7 in nsXULElement::PreHandleEvent (this=0xa7c201a0, aVisitor=...) at /media/Projects/mozilla/thunderbird/mozilla/content/xul/content/src/nsXULElement.cpp:1694
#108 0xb3f9c8eb in nsEventTargetChainItem::PreHandleEvent (this=0xaadc8200, aVisitor=...) at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:276
#109 0xb3f9db77 in nsEventDispatcher::Dispatch (aTarget=0xa7c201a0, aPresContext=0xa046dc00, aEvent=0xac8bb240, aDOMEvent=0xa10d7940, aEventStatus=0xbfee7afc, aCallback=0x0, aTargets=0x0)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:626
#110 0xb3f9e144 in nsEventDispatcher::DispatchDOMEvent (aTarget=0xa7c201a0, aEvent=0x0, aDOMEvent=0xa10d7940, aPresContext=0xa046dc00, aEventStatus=0xbfee7afc)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:744
#111 0xb3b1390d in PresShell::HandleDOMEventWithTarget (this=0xa10eb3c0, aTargetContent=0xa7c201a0, aEvent=0xa10d7940, aStatus=0xbfee7afc)
    at /media/Projects/mozilla/thunderbird/mozilla/layout/base/nsPresShell.cpp:6733
#112 0xb3ddd05e in nsContentUtils::DispatchXULCommand (aTarget=0xa7c201a0, aTrusted=true, aSourceEvent=0x0, aShell=0xa10eb3c0, aCtrl=false, aAlt=false, aShift=false, aMeta=false)
    at /media/Projects/mozilla/thunderbird/mozilla/content/base/src/nsContentUtils.cpp:5789
#113 0xb3d48115 in nsButtonBoxFrame::DoMouseClick (this=0xa24353a0, aEvent=0xbfee7ee0, aTrustEvent=false) at /media/Projects/mozilla/thunderbird/mozilla/layout/xul/base/src/nsButtonBoxFrame.cpp:177
#114 0xb3d3a4b8 in nsButtonBoxFrame::MouseClicked (this=0xa24353a0, aPresContext=0xa046dc00, aEvent=0xbfee7ee0) at /media/Projects/mozilla/thunderbird/mozilla/layout/xul/base/src/nsButtonBoxFrame.h:64
#115 0xb3d47fa1 in nsButtonBoxFrame::HandleEvent (this=0xa24353a0, aPresContext=0xa046dc00, aEvent=0xbfee7ee0, aEventStatus=0xbfee7d40)
    at /media/Projects/mozilla/thunderbird/mozilla/layout/xul/base/src/nsButtonBoxFrame.cpp:142
#116 0xb3b025fb in nsPresShellEventCB::HandleEvent (this=0xbfee7e1c, aVisitor=...) at /media/Projects/mozilla/thunderbird/mozilla/layout/base/nsPresShell.cpp:643
#117 0xb3f9cd9c in nsEventTargetChainItem::HandleEventTargetChain (this=0xaadc80a0, aVisitor=..., aFlags=6, aCallback=0xbfee7e1c, aMayHaveNewListenerManagers=false, aPusher=0xbfee7d4c)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:393
#118 0xb3f9dd73 in nsEventDispatcher::Dispatch (aTarget=0xa7c201a0, aPresContext=0xa046dc00, aEvent=0xbfee7ee0, aDOMEvent=0x0, aEventStatus=0xbfee8414, aCallback=0xbfee7e1c, aTargets=0x0)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventDispatcher.cpp:681
#119 0xb3b135b4 in PresShell::HandleEventInternal (this=0xa10eb3c0, aEvent=0xbfee7ee0, aStatus=0xbfee8414) at /media/Projects/mozilla/thunderbird/mozilla/layout/base/nsPresShell.cpp:6566
#120 0xb3b12df4 in PresShell::HandleEventWithTarget (this=0xa10eb3c0, aEvent=0xbfee7ee0, aFrame=0xa24353a0, aContent=0xa7c201a0, aStatus=0xbfee8414)
    at /media/Projects/mozilla/thunderbird/mozilla/layout/base/nsPresShell.cpp:6245
#121 0xb3f7f202 in nsEventStateManager::CheckForAndDispatchClick (this=0xa29dfec0, aPresContext=0xa046dc00, aEvent=0xbfee850c, aStatus=0xbfee8414)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventStateManager.cpp:4279
#122 0xb3f7c1ba in nsEventStateManager::PostHandleEvent (this=0xa29dfec0, aPresContext=0xa046dc00, aEvent=0xbfee850c, aTargetFrame=0xa24353a0, aStatus=0xbfee8414)
    at /media/Projects/mozilla/thunderbird/mozilla/content/events/src/nsEventStateManager.cpp:3176
#123 0xb3b1374a in PresShell::HandleEventInternal (this=0xa10eb3c0, aEvent=0xbfee850c, aStatus=0xbfee8414) at /media/Projects/mozilla/thunderbird/mozilla/layout/base/nsPresShell.cpp:6588
#124 0xb3b12d9a in PresShell::HandlePositionedEvent (this=0xa10eb3c0, aTargetFrame=0xa24353a0, aEvent=0xbfee850c, aEventStatus=0xbfee8414)
    at /media/Projects/mozilla/thunderbird/mozilla/layout/base/nsPresShell.cpp:6230
#125 0xb3b123f3 in PresShell::HandleEvent (this=0xa10eb3c0, aFrame=0xa29e2058, aEvent=0xbfee850c, aDontRetargetEvents=false, aEventStatus=0xbfee8414)
    at /media/Projects/mozilla/thunderbird/mozilla/layout/base/nsPresShell.cpp:6060
#126 0xb418f94d in nsViewManager::DispatchEvent (this=0xa047b070, aEvent=0xbfee850c, aView=0xa0478b00, aStatus=0xbfee8414) at /media/Projects/mozilla/thunderbird/mozilla/view/src/nsViewManager.cpp:908
#127 0xb4189df4 in HandleEvent (aEvent=0xbfee850c) at /media/Projects/mozilla/thunderbird/mozilla/view/src/nsView.cpp:158
#128 0xb4b82a21 in nsWindow::DispatchEvent (this=0xa336dc50, aEvent=0xbfee850c, aStatus=@0xbfee8568: nsEventStatus_eIgnore) at /media/Projects/mozilla/thunderbird/mozilla/widget/gtk2/nsWindow.cpp:524
#129 0xb4b87f34 in nsWindow::OnButtonReleaseEvent (this=0xa336dc50, aWidget=0xa0671100, aEvent=0xa89866f0) at /media/Projects/mozilla/thunderbird/mozilla/widget/gtk2/nsWindow.cpp:2819
#130 0xb4b8ef4a in button_release_event_cb (widget=0xa0671100, event=0xa89866f0) at /media/Projects/mozilla/thunderbird/mozilla/widget/gtk
#131 0xb2a34a22 in ?? () from /usr/lib/i386-linux-gnu/libgtk-x11-2.0.so.0
#132 0xb30fefec in g_closure_invoke () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
---Type <return> to continue, or q <return> to quit---
#133 0xb3110805 in ?? () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#134 0xb3117fa7 in g_signal_emit_valist () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#135 0xb3118213 in g_signal_emit () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
#136 0xb2b6e233 in ?? () from /usr/lib/i386-linux-gnu/libgtk-x11-2.0.so.0
#137 0xb2a32bee in gtk_propagate_event () from /usr/lib/i386-linux-gnu/libgtk-x11-2.0.so.0
#138 0xb2a32f80 in gtk_main_do_event () from /usr/lib/i386-linux-gnu/libgtk-x11-2.0.so.0
#139 0xb2884788 in ?? () from /usr/lib/i386-linux-gnu/libgdk-x11-2.0.so.0
#140 0xb3040d8a in g_main_context_dispatch () from /lib/i386-linux-gnu/libglib-2.0.so.0
#141 0xb3041195 in ?? () from /lib/i386-linux-gnu/libglib-2.0.so.0
#142 0xb3041271 in g_main_context_iteration () from /lib/i386-linux-gnu/libglib-2.0.so.0
#143 0xb4b9259c in nsAppShell::ProcessNextNativeEvent (this=0xb044e330, mayWait=true) at /media/Projects/mozilla/thunderbird/mozilla/widget/gtk2/nsAppShell.cpp:162
#144 0xb4bb91e6 in nsBaseAppShell::DoProcessNextNativeEvent (this=0xb044e330, mayWait=true) at /media/Projects/mozilla/thunderbird/mozilla/widget/xpwidgets/nsBaseAppShell.cpp:171
#145 0xb4bb961b in nsBaseAppShell::OnProcessNextEvent (this=0xb044e330, thr=0xb181a400, mayWait=false, recursionDepth=0)
    at /media/Projects/mozilla/thunderbird/mozilla/widget/xpwidgets/nsBaseAppShell.cpp:324
#146 0xb5346806 in nsThread::ProcessNextEvent (this=0xb181a400, mayWait=true, result=0xbfee8c1f) at /media/Projects/mozilla/thunderbird/mozilla/xpcom/threads/nsThread.cpp:619
#147 0xb52def08 in NS_ProcessNextEvent_P (thread=0xb181a400, mayWait=true) at /media/Projects/mozilla/objdir-thunderbird-patches/mozilla/xpcom/build/nsThreadUtils.cpp:245
#148 0xb519d362 in mozilla::ipc::MessagePump::Run (this=0xb1819370, aDelegate=0xb721daa0) at /media/Projects/mozilla/thunderbird/mozilla/ipc/glue/MessagePump.cpp:134
#149 0xb53936ac in MessageLoop::RunInternal (this=0xb721daa0) at /media/Projects/mozilla/thunderbird/mozilla/ipc/chromium/src/base/message_loop.cc:208
#150 0xb5393637 in MessageLoop::RunHandler (this=0xb721daa0) at /media/Projects/mozilla/thunderbird/mozilla/ipc/chromium/src/base/message_loop.cc:201
#151 0xb5393619 in MessageLoop::Run (this=0xb721daa0) at /media/Projects/mozilla/thunderbird/mozilla/ipc/chromium/src/base/message_loop.cc:175
#152 0xb4bb927b in nsBaseAppShell::Run (this=0xb044e330) at /media/Projects/mozilla/thunderbird/mozilla/widget/xpwidgets/nsBaseAppShell.cpp:189
#153 0xb48f8aa6 in nsAppStartup::Run (this=0xb047f7c0) at /media/Projects/mozilla/thunderbird/mozilla/toolkit/components/startup/nsAppStartup.cpp:295
#154 0xb379d2e9 in XRE_main (argc=1, argv=0xbfeea494, aAppData=0xb7215900) at /media/Projects/mozilla/thunderbird/mozilla/toolkit/xre/nsAppRunner.cpp:3703
#155 0x0804974e in do_main (exePath=0xbfee93ec "/media/Projects/mozilla/objdir-thunderbird-patches/mozilla/dist/bin/", argc=1, argv=0xbfeea494)
    at /media/Projects/mozilla/thunderbird/mail/app/nsMailApp.cpp:144
#156 0x08049995 in main (argc=1, argv=0xbfeea494) at /media/Projects/mozilla/thunderbird/mail/app/nsMailApp.cpp:233
Comment 2 Mike Conley (:mconley) - (Needinfo me!) 2012-03-14 07:37:53 PDT
My current theory is that something landed late in mozilla-central that has broken us here.  I'm currently bisecting to find the changeset that introduced the problem.
Comment 3 Mike Conley (:mconley) - (Needinfo me!) 2012-03-14 10:39:29 PDT
So, I've been bisecting all day - neat discovery:

if I take the mozilla-central that built Milestone 2 (http://hg.mozilla.org/mozilla-central/rev/343ec916dfd5 according to https://ftp.mozilla.org/pub/mozilla.org/thunderbird/try-builds/mconley@mozilla.com-49ae37aceda1/try-comm-central-linux/thunderbird-13.0a1.en-US.linux-i686.txt), we *still* fail on the assertion.

So, I have to conclude from this that something changed in big-files that's causing this problem - *NOT* mozilla-central, as originally thought.

Luckily, this will make diagnosis and correction significantly easier.

I'm now bisecting along bienvenu's big-files repository.

-Mike
Comment 4 Mike Conley (:mconley) - (Needinfo me!) 2012-03-14 14:11:37 PDT
Created attachment 605944 [details] [diff] [review]
Patch v1

It turns out we were referring to the wrong "this" within the success / failure callbacks of createExistingAccount for both providers.
Comment 5 Mike Conley (:mconley) - (Needinfo me!) 2012-03-14 14:14:01 PDT
*** Bug 735649 has been marked as a duplicate of this bug. ***
Comment 6 David :Bienvenu 2012-03-14 15:56:47 PDT
Comment on attachment 605944 [details] [diff] [review]
Patch v1

[Triage Comment]
thx, this fixes both YouSendIt and Dropbox for me.

we need this for Aurora.

And a mozmill test would be great too...
Comment 7 Mark Banner (:standard8) 2012-03-15 02:40:37 PDT
Checked in (in time for today's nightlies):

http://hg.mozilla.org/comm-central/rev/f3b3782a6c10
http://hg.mozilla.org/releases/comm-aurora/rev/42b9da7572c0
Comment 8 Ludovic Hirlimann [:Usul] 2012-03-15 02:41:52 PDT
Mike can you work on adding a test ?
Comment 9 Mike Conley (:mconley) - (Needinfo me!) 2012-03-15 06:32:15 PDT
(In reply to Ludovic Hirlimann [:Usul] from comment #8)
> Mike can you work on adding a test ?

Yep, working on it now.
Comment 10 Mike Conley (:mconley) - (Needinfo me!) 2012-03-15 08:26:43 PDT
Created attachment 606223 [details] [diff] [review]
Tests

These tests ensure that, when calling createExistingAccount, we pass back the correct parameters to the onStopRequest callback.

I had to mock out nsIPromptFactory and nsIAuthPrompt in order to make the YouSendIt implementation not lock up.

I also noticed that it's hard for us to test cloudFileAccounts.createAccount, because the created provider does not give us the chance to modify the server URLs, and so we'd actually start communicating with YouSendIt or Dropbox.

I think somewhere down the line, we might want to store the server URLs in prefs, as opposed to having them hard-coded into the components...
Comment 11 Mike Conley (:mconley) - (Needinfo me!) 2012-03-15 08:28:48 PDT
Also note that the tests for Dropbox and YouSendIt are extremely similar.  I've filed a separate bug (bug 736062) for having a series of common tests that run uniformly across our Filelink implementations.
Comment 12 David :Bienvenu 2012-03-19 09:09:17 PDT
Comment on attachment 606223 [details] [diff] [review]
Tests

any reason this:

+    let p = gMockAuthPrompt;
+    p.QueryInterface(aIID);
+    return p;


isn't return gMockAuthPrompt.QueryInterface(aIID); ?
Comment 13 Mike Conley (:mconley) - (Needinfo me!) 2012-03-19 12:20:32 PDT
Created attachment 607254 [details] [diff] [review]
Tests v2 (carrying over r+ from bienvenu)

(In reply to David :Bienvenu from comment #12)
> Comment on attachment 606223 [details] [diff] [review]
> Tests
> 
> any reason this:
> 
> +    let p = gMockAuthPrompt;
> +    p.QueryInterface(aIID);
> +    return p;
> 
> 
> isn't return gMockAuthPrompt.QueryInterface(aIID); ?

Nope!  Fixed.
Comment 14 Mike Conley (:mconley) - (Needinfo me!) 2012-03-19 12:26:18 PDT
Tests committed to comm-central as http://hg.mozilla.org/comm-central/rev/dc773561229a
Comment 15 Mike Conley (:mconley) - (Needinfo me!) 2012-03-19 12:42:43 PDT
Tests committed to comm-aurora as http://hg.mozilla.org/releases/comm-aurora/rev/360da8d9d7cd

Note You need to log in before you can comment on or make changes to this bug.